@import url("https://fonts.googleapis.com/css2?family=Playwrite+AU+TAS:wght@100..400&display=swap");

body {
  background-image: url("https://images.pexels.com/photos/19045723/pexels-photo-19045723/free-photo-of-interior-of-a-casino.jpeg?auto=compress&cs=tinysrgb&w=1260&h=750&dpr=1");
  backdrop-filter: blur(2px);
}
/* CSS for H1 Tag */
h1 {
  font-family: "Playwrite AU TAS";
  font-size: 3.5rem;
  color: rgb(255, 0, 0);
  text-shadow: 3px 3px 6px rgb(8, 51, 160);
  text-align: center;
  padding-top: 8vh;
  font-weight: 900;
}

/* Spin Box Style Here */
.spin_box {
  display: flex;
  max-width: 50%;
  justify-content: center;
  padding-top: 4vh;
  padding-bottom: 4vh;
  border: solid 2px rgb(246, 10, 10);
  background-color: rgb(245, 10, 10);
  border-radius: 10px;
  margin-top: 6vh;
  gap: 10px;
}

.slot {
  border: none;
  font-size: 8rem;
  background-color: white;
  border-radius: 3px;
}

/* Media Query for small screen size */
@media only screen and (max-width: 768px) {
  .spin_box {
    max-width: 95%;
    margin-top: 5vh;
    gap: 4px;
  }

  .slot {
    border: none;
    font-size: 4rem;
    background-color: white;
    border-radius: 3px;
  }
}

/* Start button CSS Here */
.start {
  display: flex;
  justify-content: center;
  margin-top: 3vh;
}

.start_btn {
  width: 10rem;
  cursor: pointer;
  padding-top: 1vh;
  padding-bottom: 1vh;
  border: none;
  border-radius: 5px;
  background-color: rgb(241, 36, 36);
  color: whitesmoke;
  font-size: 1.5rem;
  font-weight: 600;
  transition: 1s;
}

.start_btn:hover {
  background-color: rgb(24, 13, 176);
  color: rgb(255, 0, 0);
  border: none;
}

/* Result Box CSS Here */

.result_box {
  background-color: rgb(255, 255, 255);
  color: rgb(251, 42, 5);
  text-shadow: 0 0 4px rgb(56, 15, 15);
  margin-top: 2vh;
  width: 50%;
  margin-left: auto;
  margin-right: auto;
  border-radius: 2px;
}

.result_box h3 {
  text-align: center;
  font-weight: 600;
}

.rules {
  background-color: white;
  width: 20%;
  margin: auto;
  border-radius: 2px;
  padding: 2px;
}

.rules h6 {
  text-align: center;
  font-weight: 900;
  font-size: 1.5rem;
  color: red;
}

.rules ul li {
  font-weight: 600;
  color: rgb(12, 118, 122);
}

@media only screen and (max-width: 768px) {
  .result_box {
    width: 80%;
  }

  .rules {
    width: 60%;
  }
}
